OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::AudioProcessLoadMeasurer::ScopedTimer Struct Reference

`#include <juce_AudioProcessLoadMeasurer.h>`

## Public Member Functions
| ScopedTimer (AudioProcessLoadMeasurer &)

## Detailed Description

This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer.

e.g.

{
AudioProcessLoadMeasurer::ScopedTimer timer (myProcessLoadMeasurer);
myCallback->doTheCallback();
}
juce::AudioProcessLoadMeasurer::ScopedTimer
Definition: juce_AudioProcessLoadMeasurer.h:77

Definition at line 76 of file juce_AudioProcessLoadMeasurer.h.

## Constructor & Destructor Documentation

## ◆ ScopedTimer()

juce::AudioProcessLoadMeasurer::ScopedTimer::ScopedTimer | ( | AudioProcessLoadMeasurer & | p | ) |

Definition at line 69 of file juce_AudioProcessLoadMeasurer.cpp.

## ◆ ~ScopedTimer()

juce::AudioProcessLoadMeasurer::ScopedTimer::~ScopedTimer | ( |  | ) |

Definition at line 74 of file juce_AudioProcessLoadMeasurer.cpp.

The documentation for this struct was generated from the following files:

- juce_AudioProcessLoadMeasurer.h
- juce_AudioProcessLoadMeasurer.cpp